import { RequestParams, Method, ContentType } from './type';
import { AxiosRequestConfig } from 'axios';
export * from './type';
export interface HttpClientConfig extends AxiosRequestConfig {
    defaultParams?: RequestParams;
    clickInterval?: number;
}
export default class HttpClient {
    private _httpClient;
    private _defaultConfig;
    constructor(options?: HttpClientConfig);
    /**
     * @description: 封装请求类
     * @param {Method} method 请求方式
     * @param {APIPath} path 请求路径
     * @param {RequestParams} params 参数
     * @param {ContentType} contentType http配置
     * @param {RequestOptions} optionsSource
     * @return {*}
     */
    request<T>(path?: string, method?: Method, params?: RequestParams, contentType?: ContentType, optionsSource?: HttpClientConfig): Promise<T | null>;
}
